Bug 728761 - Text colours in gnome-terminal 3.01 are displayed wrong.
Text colours in gnome-terminal 3.01 are displayed wrong.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
15
i386 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-07 05:51 EDT by Denis Cerkvin
Modified: 2012-08-07 13:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:13:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Denis Cerkvin 2011-08-07 05:51:15 EDT
Description of problem:

In Gnome-Terminal 3.01 text with red colour displayed as blue.
All VIM color schemes are distorted.

Seems like changes to the default scheme are "layered" on top of colour codes.
FC14 used to have black font on white background.
FC15 uses light-gray font on black background, which is "applied" on top of any console colors.

This is related to bugs 708249 and 681926 about non-working transparency, seems like the same cause.

Version-Release number of selected component (if applicable):
3.01 and above. Default colour scheme (gnome-themes-standard.i686)

How reproducible:
Always

Steps to Reproduce:

1.- in "bash":
-- on Fedora 14, print "ps | grep bash" - word bash is highlighted in RED.
-- on Fedora 15, print "ps | grep bash" - word bash is highlighted in BLUE.

2.-- in VIM
-- on Fedora 14:
--- vim /etc/bashrc
--- :colo ron
--- :hi comment ctermfg=blue
--- :hi comment 
Comment        xxx term=bold cterm=bold ctermfg=4 guifg=green
NOTE: comments are displayed BLUE, defined BLUE
-- on Fedora 15:
--- vim /etc/bashrc
--- :colo ron
--- :hi comment ctermfg=blue
--- :hi comment 
Comment        xxx term=bold cterm=bold ctermfg=4 guifg=green
NOTE: comments are displayed RED, defined BLUE

  
Actual results:
Using the same colour settings for the bash and vim, on FC14 red and blue are displayed properly.
On FC15 read displayed as blue and vice versa.

Expected results:
1. in bash, ps | grep bash should highlight word "bash" in RED
2. in vim, in schema "ron" comments should be blue.

Additional info:
Seems it is related to the changes in the background colours in FC15's gnome-terminal. These are "mixed" with terminal colours and distort them.
Comment 1 Denis Cerkvin 2011-08-07 05:56:31 EDT
Please follow "QA:Testcase gnome-terminal profile" - FC15's gnome-terminal v.3.01 would not pass it.

(https://fedoraproject.org/wiki/QA:Testcase_gnome-terminal_profile)
Comment 2 Fedora Admin XMLRPC Client 2012-01-10 10:44:58 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2012-01-10 10:47:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2012-08-07 13:13:55 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.